$(function(){
	var mywidth = $(window).width();
	if(mywidth<=750){
		$('.effects_list').removeClass('animateme');
		$('.scroll_list').removeClass('scrollme');
	}else{
		$('.effects_list').addClass('animateme');
		$('.scroll_list').addClass('scrollme');
	}
	$('.mymenu').click(function(){
		var mymenustatus = $(this).parents().find('.mymenu');

		if(mymenustatus.hasClass('open')){
			mymenustatus.removeClass('open');
			mymenustatus.find('.hamburger').removeClass('is-active');
			setTimeout(function(){
				$('.modal_menu').fadeOut();
			},50);
		}else{
			mymenustatus.addClass('open');
			mymenustatus.find('.hamburger').addClass('is-active');
			setTimeout(function(){
				$('.modal_menu').fadeIn();
			},400);
		}
	});
	$('.whoweare').owlCarousel({
	    loop:true,
	    nav:true,
	    navText: ["<span class='glyphicon glyphicon-menu-left icon_left' aria-hidden='true'></span>","<span class='glyphicon glyphicon-menu-right icon_right' aria-hidden='true'></span>"],
	    responsive:{
	        0:{
	            items:1
	        },
	        600:{
	            items:1
	        },
	        1000:{
	            items:1
	        }
	    }
	});
	$('.img_show').click(function(){
		var img_url = $(this).attr('src');
		$('.img_container').html('<img src="'+img_url+'">')
	  	$('#modal_image').modal('show');
	});

	//form
 	

    $('.nxt_form').click(function(){
	 //  	var flag = 1;
	 //  	var thisme = $(this);
		// $(this).parents('form').find('*[required="required"]').each(function(){
		// 	if($(this).val()==null||$(this).val().length==0){
		// 		flag = 0;
		// 	}
		// });
		// if(flag){
		// 	//for number bullets
		// 	var mydata = $(this).data('number');
		// 	thisme.parents('.form_information').find('.num_ul li.active').addClass('done');
		// 	thisme.parents('.form_information').find('.num_ul li').removeClass('active');
		// 	thisme.parents('.form_information').find('.num_ul').find('.f_'+mydata).addClass('active');

		// 	//for selecting form
		// 	$('.form_information').find('.form_list').removeClass('active');
		// 	$('.form_information').find('#form_'+mydata).addClass('active');
		// }
		
    });
    $('.back_but').click(function(){

    });
    $('.form_list').submit(function(event){
    	event.preventDefault();
    	var flag = 1;
	  	var thisme = $(this);
	  	$(this).find('*[required="required"]').each(function(){
			if($(this).val()==null||$(this).val().length==0){
				flag = 0;
			}
		});
		if(flag){
			//for number bullets
			var mydata = thisme.find('button').data('number');
			thisme.parents('.form_information').find('.num_ul li.active').addClass('done');
			thisme.parents('.form_information').find('.num_ul li').removeClass('active');
			thisme.parents('.form_information').find('.num_ul').find('.f_'+mydata).addClass('active');

			//for selecting form
			$('.form_information').find('.form_list').removeClass('active');
			$('.form_information').find('#form_'+mydata).addClass('active');
		}
    });

    $('#password').keyup(function(){
    	var thisme = $(this);
    	var methis = $(this).val();
    	var mycount=$(this).parents('.table_form').find('#password2').val().length;
    	var password2 =$(this).parents('.table_form').find('#password2').val();
    	if(mycount!=0){
    		if(methis == password2){
    			//same password
    			thisme.parent().find('i').addClass('fa-check').removeClass('fa-close');
    			thisme.parents('.table_form_list').find('.verify_password2').find('i').addClass('fa-check').removeClass('fa-close');
    			thisme.parents('.cont_steps').find('.nxt_form').removeAttr('disabled');
    		}else{
    			//different password
		    	thisme.parent().find('i').addClass('fa-close').removeClass('fa-check');
		    	thisme.parents('.table_form_list').find('.verify_password2').find('i').addClass('fa-check').removeClass('fa-check');
		    	thisme.parents('.cont_steps').find('.nxt_form').attr('disabled');
    		}
    	}
    });
    $('#password2').keyup(function(){
    	var thisme = $(this);
    	var methis = $(this).val();
    	var mycount=$(this).parents('.table_form').find('#password').val().length;
    	var password =$(this).parents('.table_form').find('#password').val();
    	if(mycount!=0){
    		if(methis == password){
    			//same password
    			thisme.parent().find('i').addClass('fa-check').removeClass('fa-close');
    			thisme.parents('.table_form_list').find('.verify_password').find('i').addClass('fa-check').removeClass('fa-close');
    			thisme.parents('.cont_steps').find('.nxt_form').removeAttr('disabled');
    		}else{
    			//different password
		    	thisme.parent().find('i').addClass('fa-close').removeClass('fa-check');
		    	thisme.parents('.table_form_list').find('.verify_password').find('i').addClass('fa-check').removeClass('fa-check');
		    	thisme.parents('.cont_steps').find('.nxt_form').attr('disabled');
    		}
    	}
    });

    $('.table_form_list input.verify_input').keyup(function(){
    	var mycount = $(this).val().length;
    	var thisme = $(this);
    	if(mycount<=0){
    		thisme.parent().find('i').addClass('fa-close').removeClass('fa-check');
    	}else{
    		thisme.parent().find('i').addClass('fa-check').removeClass('fa-close');
    	}
    });
    $('.submitemail').click(function(){
		var myval=$(this).parents('.f_step').find('.myemail').val();
    	$('.myemail2,.email_text').val(myval);
    });

    $('.agree i').click(function(){
    	var methis = $(this);
    	if(methis.hasClass('fa-check')){
    		methis.removeClass('fa-check');
    	}else{
    		methis.addClass('fa-check');
    	}
    });

    $('.back_but').click(function(){
    	var thisme = $(this);
    	var mydata = thisme.data('number');
		thisme.parents('.form_information').find('.num_ul li.active').addClass('done');
		thisme.parents('.form_information').find('.num_ul li').removeClass('active');
		thisme.parents('.form_information').find('.num_ul').find('.f_'+mydata).addClass('active');

		//for selecting form
		$('.form_information').find('.form_list').removeClass('active');
		$('.form_information').find('#form_'+mydata).addClass('active');
    });

});



